javax.faces.view.facelets

## Class DelegatingMetaTagHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - javax.faces.view.facelets.MetaTagHandler
    - - javax.faces.view.facelets.DelegatingMetaTagHandler

- All Implemented Interfaces:
    FaceletHandler
  Direct Known Subclasses:
    ComponentHandler, FaceletsAttachedObjectHandler

      public abstract class DelegatingMetaTagHandler
      extends MetaTagHandler

  Enable the JSF implementation to provide the appropriate behavior for the kind of `MetaTagHandler` subclass for each kind of element in the view, while providing a base-class from which those wanting to make a Java language custom tag handler can inherit. The JSF runtime provides the implementation of `getTagHandlerDelegate()` for the appropriate subclass.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TagHandlerDelegateFactory` | `delegateFactory`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingMetaTagHandler(TagConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(FaceletContext ctx, UIComponent parent)` The default implementation simply calls through to `TagHandlerDelegate.apply(javax.faces.view.facelets.FaceletContext, javax.faces.component.UIComponent)`.
    `void` | `applyNextHandler(FaceletContext ctx, UIComponent c)` Invoke the `apply()` method on this instance's `TagHandler.nextHandler`.
    `protected MetaRuleset` | `createMetaRuleset(Class type)` The default implementation simply calls through to `TagHandlerDelegate.createMetaRuleset(java.lang.Class)` and returns the result.
    `TagAttribute` | `getBinding()`
    `Tag` | `getTag()`
    `TagAttribute` | `getTagAttribute(String localName)`
    `protected abstract TagHandlerDelegate` | `getTagHandlerDelegate()`
    `String` | `getTagId()`
    `boolean` | `isDisabled(FaceletContext ctx)`
    `void` | `setAttributes(FaceletContext ctx, Object instance)` Invoking/extending this method will cause the results of the created MetaRuleset to auto-wire state to the passed instance.

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### delegateFactory

          protected TagHandlerDelegateFactory delegateFactory

  - ### Constructor Detail

    - #### DelegatingMetaTagHandler

          public DelegatingMetaTagHandler(TagConfig config)

  - ### Method Detail

    - #### getTagHandlerDelegate

          protected abstract TagHandlerDelegate getTagHandlerDelegate()

    - #### isDisabled

          public boolean isDisabled(FaceletContext ctx)

    - #### getBinding

          public TagAttribute getBinding()

    - #### getTag

          public Tag getTag()

    - #### getTagId

          public String getTagId()

    - #### getTagAttribute

          public TagAttribute getTagAttribute(String localName)

    - #### setAttributes

          public void setAttributes(FaceletContext ctx,
                           Object instance)

      Description copied from class: `MetaTagHandler`
      Invoking/extending this method will cause the results of the created MetaRuleset to auto-wire state to the passed instance.
      Overrides:
        `setAttributes` in class `MetaTagHandler`

    - #### apply

          public void apply(FaceletContext ctx,
                   UIComponent parent)
                     throws IOException

      The default implementation simply calls through to `TagHandlerDelegate.apply(javax.faces.view.facelets.FaceletContext, javax.faces.component.UIComponent)`.

      Parameters:
        `ctx` - the `FaceletContext` for this view execution
        `parent` - the parent `UIComponent` of the component represented by this element instance.
      Throws:
        `IOException` - if unable to load `relativePath`
      Since:
        2.0

    - #### applyNextHandler

          public void applyNextHandler(FaceletContext ctx,
                              UIComponent c)
                                throws IOException,
                                       FacesException,
                                       ELException

      Invoke the `apply()` method on this instance's `TagHandler.nextHandler`.

      Parameters:
        `ctx` - the `FaceletContext` for this view execution
        `c` - the `UIComponent` of the component represented by this element instance.
      Throws:
        `IOException`
        `FacesException`
        `ELException`
      Since:
        2.0

    - #### createMetaRuleset

          protected MetaRuleset createMetaRuleset(Class type)

      The default implementation simply calls through to `TagHandlerDelegate.createMetaRuleset(java.lang.Class)` and returns the result.

      Specified by:
        `createMetaRuleset` in class `MetaTagHandler`
      Parameters:
        `type` - the `Class` for which the `MetaRuleset` must be created.
      Since:
        2.0

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.